For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
        • GETGet Bulk Sync Schedules
        • POSTCreate Bulk Sync Schedule
        • GETGet Bulk Sync Schedule
        • PUTUpdate Bulk Sync Schedule
        • DELDelete Bulk Sync Schedule
Logo
Log inBook a demo
API ReferenceBulk SyncSchedules

Create Bulk Sync Schedule

POST
https://app.polytomic.com/api/bulk/syncs/:sync_id/schedules
POST
/api/bulk/syncs/:sync_id/schedules
$curl -X POST https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/schedules \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "schedule": {
> "frequency": "daily"
> }
>}'
1{
2 "data": {
3 "frequency": "daily",
4 "createdAt": "2024-01-15T09:30:00Z",
5 "createdBy": "248df4b7-aa70-47b8-a036-33ac447e668d",
6 "dayOfMonth": "15",
7 "dayOfWeek": "wednesday",
8 "deletedAt": "null",
9 "deletedBy": "null",
10 "hour": "14",
11 "isDefault": true,
12 "minute": "30",
13 "month": "null",
14 "schemas": [
15 "user_data",
16 "transaction_records"
17 ],
18 "selectiveMode": "none",
19 "syncId": "248df4b7-aa70-47b8-a036-33ac447e668d",
20 "syncMode": "normal",
21 "updatedAt": "2024-01-15T09:30:00Z",
22 "updatedBy": "248df4b7-aa70-47b8-a036-33ac447e668d"
23 }
24}
Adds a new schedule to a bulk sync. A bulk sync can have multiple schedules attached; adding one here does not replace existing schedules. Schedule times are interpreted in UTC. Creating a schedule only affects future automatic executions. To run the sync immediately, call [`POST /api/bulk/syncs/{id}/executions`](../../../../../api-reference/bulk-sync/start).
Was this page helpful?
Previous

Get Bulk Sync Schedule

Next

Adds a new schedule to a bulk sync.

A bulk sync can have multiple schedules attached; adding one here does not replace existing schedules. Schedule times are interpreted in UTC.

Creating a schedule only affects future automatic executions. To run the sync immediately, call POST /api/bulk/syncs/{id}/executions.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

sync_idstringRequiredformat: "uuid"
Unique identifier of the bulk sync to add a schedule to.

Headers

X-Polytomic-VersionstringOptional

Request

This endpoint expects an object.
scheduleobjectRequired

Response

OK
dataobject

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error